#import <Cocoa/Cocoa.h>

@interface HIVApp : NSWindowController
{
    IBOutlet  id		_view;
    IBOutlet  id		_legend;
    IBOutlet  id		_scaleradio;
    IBOutlet  id		_initbutton;
    IBOutlet  id		_stepbutton;
    IBOutlet  id		_autocheck;
    IBOutlet  id		_stopbutton;
    IBOutlet  id		_clearbutton;
    IBOutlet  id		_year;
    IBOutlet  id		_deaths;
    IBOutlet  id		_population;

    IBOutlet  id		_x1;
    IBOutlet  id		_x2;
    IBOutlet  id		_x4;
    IBOutlet  id		_x8;
    IBOutlet  id		_x16;

    IBOutlet  id		_HIVReport;
    IBOutlet  id		_AIDSReport;
    IBOutlet  id		_symbols;

	NSBitmapImageRep	*m_bitsview;
	NSBitmapImageRep	*m_bitsmask;
	NSBitmapImageRep	*m_bitscases;
    NSTimer				*m_timer;
	BOOL				m_clear;
	int					m_height;
	int					m_width;
	int					m_rowbytes;
	int					m_pixsize;
	int					m_ticks;
	int					m_year;
	double				m_population;
}

- (void) setCases;
- (IBAction)doInitialize:(id)sender;
- (IBAction)doStep:(id)sender;
- (IBAction)doClear:(id)sender;
- (IBAction)doStop:(id)sender;
- (IBAction)doScale:(id)sender;
- (IBAction)doScale2:(id)sender;
- (IBAction)doScale4:(id)sender;
- (IBAction)doScale8:(id)sender;
- (IBAction)doScale16:(id)sender;

// Local:

-(BOOL)nextToRed:(unsigned char *)pixel x:(int)x y:(int)y;
-(void)setRedPixel:(unsigned char *)pixel greens:(unsigned char *)greens prev:(int)prev;
-(BOOL)trueRandom:(int)percent;
-(void)scalingChanged:(int)newScale;

@end
